+ Reply to Thread
Page 1 of 3 1 2 3 LastLast
Results 1 to 10 of 25

Thread: vla-put-Normal

  1. #1
    Full Member
    Discipline
    Manufacture
    Using
    AutoCAD 2014
    Join Date
    Oct 2017
    Posts
    39

    Default vla-put-Normal

    Registered forum members do not see this ad.

    this is probably super simple but can't find the answer:

    Code:
    (setq apr (vlax-ename->vla-object (entlast)));#<VLA-OBJECT IAcadRegion 000002c2d9920cb8> 
    (vla-put-Normal apr '(0.0 0.0 1.0)); error: ActiveX Server returned an error: Type mismatch
    (vla-Update apr)

  2. #2
    Senior Member
    Discipline
    Civil
    Hippe013's Discipline Details
    Occupation
    Survey Crew Chief / Civil Designer
    Discipline
    Civil
    Details
    Land Survey / Civil Engineering
    Using
    Civil 3D 2017
    Join Date
    Feb 2010
    Location
    North Dakota
    Posts
    383

    Default

    Code:
    (vla-put-normal apr (vlax-3d-point 0.0 0.0 1.0))

  3. #3
    Full Member
    Discipline
    Manufacture
    Using
    AutoCAD 2014
    Join Date
    Oct 2017
    Posts
    39

    Default

    Unfortunately not the issue... same error...

  4. #4
    Senior Member
    Discipline
    Civil
    Hippe013's Discipline Details
    Occupation
    Survey Crew Chief / Civil Designer
    Discipline
    Civil
    Details
    Land Survey / Civil Engineering
    Using
    Civil 3D 2017
    Join Date
    Feb 2010
    Location
    North Dakota
    Posts
    383

    Default

    I just noticed that you are selecting a region. That is the problem.

  5. #5
    Full Member
    Discipline
    Manufacture
    Using
    AutoCAD 2014
    Join Date
    Oct 2017
    Posts
    39

    Default

    oh!... What's wrong with regions... Documentation says they're valid entities for normal property.

  6. #6
    Senior Member
    Discipline
    Civil
    Hippe013's Discipline Details
    Occupation
    Survey Crew Chief / Civil Designer
    Discipline
    Civil
    Details
    Land Survey / Civil Engineering
    Using
    Civil 3D 2017
    Join Date
    Feb 2010
    Location
    North Dakota
    Posts
    383

    Default

    Documentation says that it has a Normal Property. Object browser shows the normal property of the region to be read only.

  7. #7
    Full Member
    Discipline
    Manufacture
    Using
    AutoCAD 2014
    Join Date
    Oct 2017
    Posts
    39

    Default

    aww... thats bull**** Autodesk!

    well damn thanks for clearing that up Hippe... trying to rotate regions to WCS short of exploding it into individual segments...
    Any workarounds for this?

  8. #8
    Senior Member
    Discipline
    Civil
    Hippe013's Discipline Details
    Occupation
    Survey Crew Chief / Civil Designer
    Discipline
    Civil
    Details
    Land Survey / Civil Engineering
    Using
    Civil 3D 2017
    Join Date
    Feb 2010
    Location
    North Dakota
    Posts
    383

    Default

    What exactly are you trying to do?

  9. #9
    Full Member
    Discipline
    Manufacture
    Using
    AutoCAD 2014
    Join Date
    Oct 2017
    Posts
    39

    Default

    extract the original profile from a 3DSOLID extrusion to be exact... to use as a graphic on a count table.

  10. #10
    Full Member
    Discipline
    Manufacture
    Using
    AutoCAD 2014
    Join Date
    Oct 2017
    Posts
    39

    Default

    Registered forum members do not see this ad.

    it's kinda like a bill of materials of a certain trim shape but i need to indicate the shape somehow

Similar Threads

  1. normal block name input by me
    By flyfox1047 in forum AutoLISP, Visual LISP & DCL
    Replies: 15
    Last Post: 16th Dec 2013, 11:50 am
  2. How often is it normal for AutoCAD to Freeze?
    By Sbeth85 in forum AutoCAD General
    Replies: 30
    Last Post: 7th Nov 2013, 09:32 am
  3. What does Flip Normal do to a sketch?
    By KarolR in forum Autodesk Inventor
    Replies: 1
    Last Post: 11th Oct 2012, 01:00 am
  4. How to convert from read only to normal???
    By inTrouble! in forum AutoCAD General
    Replies: 3
    Last Post: 8th May 2012, 01:52 pm
  5. Changing Normal Z from -1 to 0
    By gwatkins in forum AutoCAD Drawing Management & Output
    Replies: 2
    Last Post: 2nd Dec 2004, 12:28 pm

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts